import radio from './radio'
import checkbox from './checkbox.js'
import input from './input'
import number from './number'
import select from './select'
import _switch from './switch'
import slider from './slider'
import time from './time'
import date from './date.js'
import rate from './rate'
import color from './color.js'
import row from './row'
import col from './col.js'
import tabPane from './tabPane'
import divider from './divider.js'
import cascader from './cascader.js'
import upload from './upload'
import transfer from './transfer'
import tree from './tree'
import alert from './alert.js'
import span from './span'
import space from './space'
import tab from './tab'
import button from './button.js'
import editor from './editor.js'

const ruleList = {
	[radio.name]: radio,
	[checkbox.name]: checkbox,
	[input.name]: input,
	[number.name]: number,
	[select.name]: select,
	[_switch.name]: _switch,
	[slider.name]: slider,
	[time.name]: time,
	[date.name]: date,
	[rate.name]: rate,
	[color.name]: color,
	[row.name]: row,
	[col.name]: col,
	[tab.name]: tab,
	[tabPane.name]: tabPane,
	[divider.name]: divider,
	[cascader.name]: cascader,
	[upload.name]: upload,
	[transfer.name]: transfer,
	[tree.name]: tree,
	[alert.name]: alert,
	[span.name]: span,
	[space.name]: space,
	[button.name]: button,
	[editor.name]: editor
}

export default ruleList
